Nach Aktualiserung auf rc2 können Themes und Plugins nicht mehr aktiviert werden

Hallo,

nach der Aktualisierung auf rc2 lassen sich deaktivierte Plugins und Themes nicht mehr aktivieren.

Kennt jemand das Problem?

Danke und Gruß

Ich komme gar nicht mehr ins Backend, obwohl alle Plugins deaktiviert sind.

Hast du das hier gesehen?

2019-11-14: Refactored resources directories

https://docs.shopware.com/en/shopware-platform-dev-en/getting-started/recent-updates

Soweit ich weiss gilt dieses Problem nur für Plugins die nicht kompatibel mit RC2 sind, mein eigenes Plugin lässt sich bei mir aktivieren, alle anderen aktuell nicht…

Aktivieren kann man nur, wenn auch installiert ist. Liegt es daran?
Ansonsten mal in der Netzwerkübersicht des Browsers den Request raussuchen und schauen, was da für eine Fehlermeldung erscheint.

Die Plugins sind installiert. Ich kann sie aktivieren, aber sie bleiben nicht aktiv, wenn ich die Seite wechsele und wieder auf Plugins Seite komme.

Fehlermeldung bei der Versuch Paypal zu aktivieren:

Status-Code: 400 Bad Request

Version:HTTP/1.1

Referrer Policy:no-referrer-when-downgrade

1 Like

Wenn ich mit der Maus, über den Aktivierungsbutton fahre, wird die Meldung angezeigt: "Du kannst nur installierte Plugins aktivieren. "

Es gibt allerdings keine Option um die Plugins zu installieren, nur um sie zu deinstallieren. Deinstallieren funktioniert allerdings auch nicht.

1 Like

@blueroger schrieb:

Die Plugins sind installiert. Ich kann sie aktivieren, aber sie bleiben nicht aktiv, wenn ich die Seite wechsele und wieder auf Plugins Seite komme.

Fehlermeldung bei der Versuch Paypal zu aktivieren:

Status-Code: 400 Bad Request

Version:HTTP/1.1

Referrer Policy:no-referrer-when-downgrade

Habe genau das selbe Problem - lässt sich nicht installieren…

 

LG 

[@Moritz Naczenski](http://forum.shopware.com/profile/14574/Moritz Naczenski „Moritz Naczenski“)‍

Ist das Problem, dass die Plugins/Themes nicht aktiviert werden können erkannt? Aktualisieren von Plugins funktioniert auch nicht.

Danke und Gruß

@blueroger‍ du kannst die in der console aktivieren wenn Sie 6.1 kompatibel sind. Im backend geht es nicht.

@brettvormkopp‍ danke. Wie mache ich das?

in die Console in  das Startverzeichnis/Root deines Shops gehen (da wo die .env und die index.html auch ist) und jede der folgenden Zeilen einzeln ausführen

bin/console theme:create
Eingabeaufforderung: DerWunschnameDesTemplate
bin/console plugin:refresh
bin/console plugin:install --activate DerWunschnameDesTemplate

 

1 Like

super. es hat geklappt.

@blueroger schrieb:

[@Moritz Naczenski](http://forum.shopware.com/profile/14574/Moritz Naczenski “Moritz Naczenski”)‍

Ist das Problem, dass die Plugins/Themes nicht aktiviert werden können erkannt? Aktualisieren von Plugins funktioniert auch nicht.

Danke und Gruß

Also bei mir funktioniert das beides in der Umgebung. Lediglich das Problem mit der Übersicht der Store-Käufe konnte ich nachstellen und das werden wir auch beheben.

 

[@Moritz Naczenski](http://forum.shopware.com/profile/14574/Moritz Naczenski “Moritz Naczenski”)‍

Danke.

bei mir funktioniert weder das Aktualisieren noch das Aktivieren von Plugins im Backend nicht. Das habe ich aber über die Konsole hin gekriegt.